summaryrefslogtreecommitdiffstats
path: root/templates/machine/porter/50_setup.sh
diff options
context:
space:
mode:
authorStephane Desneux <stephane.desneux@iot.bzh>2016-06-28 21:27:38 +0000
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2016-07-05 18:49:46 +0000
commit24c89f22961bab9a995ab9c18881a3109a1c8109 (patch)
tree1e08f2a594f220c3c38bea49558eb25ab69aca48 /templates/machine/porter/50_setup.sh
parent641df47d096fb559d6f4f444670205e4510d6791 (diff)
new configuration templates based on fragments
This is the application of the process proposed here: https://lists.linuxfoundation.org/pipermail/automotive-discussions/2016-June/002232.html Bug-AGL: SPEC-180 Change-Id: I5a7015fa810547a9ecf4fb096367323af3cdc670 Signed-off-by: Stephane Desneux <stephane.desneux@iot.bzh>
Diffstat (limited to 'templates/machine/porter/50_setup.sh')
-rw-r--r--templates/machine/porter/50_setup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/templates/machine/porter/50_setup.sh b/templates/machine/porter/50_setup.sh
new file mode 100644
index 000000000..f51d4f4f5
--- /dev/null
+++ b/templates/machine/porter/50_setup.sh
@@ -0,0 +1,14 @@
+# setup proprietary gfx drivers and multimedia packages
+pushd $METADIR 2>/dev/null
+
+SETUP_MM_SCRIPT=$METADIR/meta-renesas/meta-rcar-gen2/scripts/setup_mm_packages.sh
+if [ -f $SETUP_MM_SCRIPT ]; then
+ . $SETUP_MM_SCRIPT $MACHINE
+ copy_mm_packages $MACHINE
+ if [ $? -ne 0 ]; then
+ echo "Copying gfx drivers and multimedia packages for '$MACHINE' failed."
+ exit 1
+ fi
+fi
+
+popd 2>/dev/null